Subject: bug#19152: 25.0.50; Suggestions for M-x commands

From: Stefan Monnier <[email-masked]>
Date: Tue, 25 Nov 2014 09:50:25 -0500

>> Options to circumvent bugs are a bad idea, in general (with
>> exceptions, of course, like everything, such as when the bug is
>> particularly hard to fix, or occurs in some code we can't control).
> 	Analogously speaking, isn’t --without-x-toolkit just an option
> 	to circumvent Gtk-related bugs?

If it is, then it's OK because those bugs "occur in some code we can't control".

>> An option to turn the feature off is fine.  An option to choose the
>> number of chars we have to gain is not.
> 	Why not?

Because that exposes too much irrelevant details.

BTW, if you want to "turn it off" and can't wait for someone to install
such an option in the trunk, you can try:

   (advice-add 'execute-extended-command--shorter :override #'ignore)

-- Stefan